Contents

# Cos Function

Calculates the cosine of an angle. The angle is specified in radians. The result lies between -1 and 1.

Using the angle Alpha, the Cos function calculates the ratio of the length of the side that is adjacent to the angle, divided by the length of the hypotenuse in a right-angled triangle.

Cos(Alpha) = Adjacent/Hypotenuse

### Syntax:

    Cos (Number As Double) As Double

### Return type:

Double

### Parameters:

Number: Numeric expression that specifies an angle in radians that you want to calculate the cosine for.

To convert degrees to radians, multiply degrees by pi/180. To convert radians to degrees, multiply radians by 180/pi.

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159...

### Error codes:

5 Invalid procedure call

### Example:

    ' The following example allows for a right-angled triangle the input of
    ' secant and angle (in degrees) and calculates the length of the hypotenuse:
    Sub ExampleCosinus
    ' rounded Pi = 3.14159
    Dim d1 As Double, dAngle As Double
        d1 = InputBox("Enter the length of the adjacent side: ","Adjacent")
        dAngle = InputBox("Enter the angle Alpha (in degrees): ","Alpha")
        Print "The length of the hypotenuse is"; (d1 / cos (dAngle * Pi / 180))
    End Sub

Related Topics

Atn Function

Sin Function

Tan Function